import { TextFieldProps } from "@mui/material";
import { ReactElement } from "react";
/**
 * NerdCodeField: A component that displays multiple inputs for a one-time-code.
 *
 * @param {{length, onChange, value, error, TextfieldProps}} params List of params
 * @returns {React.ReactElement} Returns the CodeField component
 */
export default function NerdCodeField({ length, onChange, value, error, TextfieldProps, }: {
    length: number;
    onChange: (c: string) => void;
    value: string;
    error: boolean;
    TextfieldProps?: TextFieldProps;
}): ReactElement;
